rte_table_encap_ether_qinq_pppoe(3)

NAME
rte_table_encap_ether_qinq_pppoe

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_table_action_ether_hdr ether
struct rte_table_action_vlan_hdr svlan
struct rte_table_action_vlan_hdr cvlan
struct rte_table_action_pppoe_hdr pppoe

Detailed Description

QinQ_PPPoE encap parameters.

Definition at line 534 of file rte_table_action.h.

Field Documentation

  struct rte_table_action_ether_hdr ether
Only valid when type is set to QinQ.

Definition at line 537 of file rte_table_action.h.

  struct rte_table_action_vlan_hdr svlan
Service VLAN header.

Definition at line 538 of file rte_table_action.h.

  struct rte_table_action_vlan_hdr cvlan
Customer VLAN header.

Definition at line 539 of file rte_table_action.h.

  struct rte_table_action_pppoe_hdr pppoe
PPPoE/PPP headers.

Definition at line 540 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.